"""iSCSI hosts

Revision ID: 568b8cead63f
Revises: 920a1a135ef7
Create Date: 2020-11-05 23:46:04.309962+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '568b8cead63f'
down_revision = '920a1a135ef7'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('services_iscsihost',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('ip', sa.String(length=45), nullable=False),
    sa.Column('description', sa.Text(), nullable=False),
    sa.Column('added_automatically', sa.Boolean(), nullable=False),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_services_iscsihost')),
    sa.UniqueConstraint('ip', name=op.f('uq_services_iscsihost_ip'))
    )
    op.create_table('services_iscsihostiqn',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('iqn', sa.String(length=223), nullable=False),
    sa.Column('host_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['host_id'], ['services_iscsihost.id'], name=op.f('fk_services_iscsihostiqn_host_id_services_iscsihost'), ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_services_iscsihostiqn')),
    sa.UniqueConstraint('iqn', name=op.f('uq_services_iscsihostiqn_iqn'))
    )

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('services_iscsihostiqn')
    op.drop_table('services_iscsihost')
    # ### end Alembic commands ###
