"""Remove S3

Revision ID: b2775ae20e88
Revises: 55836e7dac39
Create Date: 2023-05-02 08:31:50.308732+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'b2775ae20e88'
down_revision = '55836e7dac39'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.execute("DELETE FROM services_services WHERE srv_service = 's3'")
    op.drop_table('services_s3')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('services_s3',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('s3_bindip', sa.VARCHAR(length=128), nullable=False),
    sa.Column('s3_bindport', sa.SMALLINT(), nullable=False),
    sa.Column('s3_access_key', sa.VARCHAR(length=128), nullable=False),
    sa.Column('s3_secret_key', sa.VARCHAR(length=128), nullable=False),
    sa.Column('s3_mode', sa.VARCHAR(length=120), nullable=False),
    sa.Column('s3_disks', sa.VARCHAR(length=255), nullable=False),
    sa.Column('s3_certificate_id', sa.INTEGER(), nullable=True),
    sa.Column('s3_browser', sa.BOOLEAN(), nullable=False),
    sa.Column('s3_tls_server_uri', sa.VARCHAR(length=128), nullable=True),
    sa.Column('s3_console_bindport', sa.SMALLINT(), server_default=sa.text("'9001'"), nullable=False),
    sa.ForeignKeyConstraint(['s3_certificate_id'], ['system_certificate.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    with op.batch_alter_table('services_s3', schema=None) as batch_op:
        batch_op.create_index('ix_services_s3_s3_certificate_id', ['s3_certificate_id'], unique=False)

    # ### end Alembic commands ###
