"""Remove SSH credentials cipher

Revision ID: 0e5949153c20
Revises: c0b117cde6b8
Create Date: 2023-06-23 08:22:39.080102+00:00

"""
import json

from alembic import op
import sqlalchemy as sa

from middlewared.plugins.pwenc import encrypt, decrypt


# revision identifiers, used by Alembic.
revision = '0e5949153c20'
down_revision = 'c0b117cde6b8'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    conn = op.get_bind()
    for c in map(dict, conn.execute("SELECT * FROM system_keychaincredential WHERE type = 'SSH_CREDENTIALS'").fetchall()):
        if attributes := decrypt(c["attributes"]):
            attributes = json.loads(attributes)
            del attributes["cipher"]
            conn.execute("UPDATE system_keychaincredential SET attributes = ? WHERE id = ?", (
                encrypt(json.dumps(attributes)), c["id"]
            ))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    pass
    # ### end Alembic commands ###
