"""network_interface_link_address

Revision ID: 304e43883592
Revises: f7d06a57f8a1
Create Date: 2023-10-24 14:28:25.413126+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '304e43883592'
down_revision = 'f7d06a57f8a1'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('network_interface_link_address',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('interface', sa.String(length=300), nullable=False),
    sa.Column('link_address', sa.String(length=17), nullable=True),
    sa.Column('link_address_b', sa.String(length=17), nullable=True),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_network_interface_link_address')),
    sqlite_autoincrement=True
    )
    op.execute("INSERT INTO network_interface_link_address (interface, link_address, link_address_b) "
               "SELECT int_interface, int_link_address, int_link_address_b FROM network_interfaces "
               "WHERE NOT (int_interface LIKE 'bond%' OR int_interface LIKE 'br%' "
               "OR int_interface LIKE 'lagg%' OR int_interface LIKE 'vlan%')")
    with op.batch_alter_table('network_interfaces', schema=None) as batch_op:
        batch_op.drop_column('int_link_address')
        batch_op.drop_column('int_link_address_b')

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('network_interfaces', schema=None) as batch_op:
        batch_op.add_column(sa.Column('int_link_address_b', sa.VARCHAR(length=17), nullable=True))
        batch_op.add_column(sa.Column('int_link_address', sa.VARCHAR(length=17), nullable=True))

    op.drop_table('network_interface_link_address')
    # ### end Alembic commands ###
