"""Add SMB auditing parameters

Revision ID: 2b9a98464a33
Revises: 3e16b0a74d78
Create Date: 2023-09-19 16:05:32.676987+00:00

"""
from alembic import op
import sqlalchemy as sa
import json


# revision identifiers, used by Alembic.
revision = '2b9a98464a33'
down_revision = '3e16b0a74d78'
branch_labels = None
depends_on = None


AUDIT_CONFIG = json.dumps({'enable': False, 'watch_list': [], 'ignore_list': []})

def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    conn = op.get_bind()
    with op.batch_alter_table('sharing_cifs_share', schema=None) as batch_op:
        batch_op.add_column(sa.Column('cifs_audit', sa.TEXT(), nullable=True))

    conn.execute('UPDATE sharing_cifs_share SET cifs_audit = ?', AUDIT_CONFIG)
    with op.batch_alter_table('sharing_cifs_share', schema=None) as batch_op:
        batch_op.alter_column('cifs_audit', existing_type=sa.TEXT(), nullable=False)


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('sharing_cifs_share', schema=None) as batch_op:
        batch_op.drop_column('cifs_audit')
