"""Convert the 'servers' field to nullable

Revision ID: df1a322df40d
Revises: abac40d29fc5
Create Date: 2023-12-08 01:55:21.782521+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'df1a322df40d'
down_revision = 'abac40d29fc5'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('services_nfs', schema=None) as batch_op:
        batch_op.alter_column('nfs_srv_servers',
               existing_type=sa.INTEGER(),
               nullable=True)

    conn = op.get_bind()
    conn.execute("UPDATE services_nfs SET nfs_srv_servers = NULL WHERE nfs_srv_servers = 16")
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    conn = op.get_bind()
    conn.execute("UPDATE services_nfs SET nfs_srv_servers = 16 WHERE nfs_srv_servers = NULL")
    with op.batch_alter_table('services_nfs', schema=None) as batch_op:
        batch_op.alter_column('nfs_srv_servers',
               existing_type=sa.INTEGER(),
               nullable=False)

    # ### end Alembic commands ###
